Create a context
Create a new context with the specified type, id, and data. Returns 409 if context already exists. **type** and **id** are required fields, **data** is optional, if the context already exists, it returns the 409 response
Create a new context with the specified type, id, and data. Returns 409 if context already exists. type and id are required fields, data is optional, if the context already exists, it returns the 409 response
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/contexts" \ -H "Content-Type: application/json" \ -d '{ "type": "tenant", "id": "org-acme" }'{ "data": { "type": "string", "id": "string", "data": {}, "createdAt": "string", "updatedAt": "string" }}List all contexts GET
Retrieve a paginated list of all contexts, optionally filtered by type and key pattern. **type** and **id** are optional fields, if provided, only contexts with the matching type and id will be returned. **search** is an optional field, if provided, only contexts with the matching key pattern will be returned. Checkout all possible parameters in the query section below for more details
Retrieve a context GET
Retrieve a specific context by its type and id. **type** and **id** are required fields, if the context does not exist, it returns the 404 response